package main

import (
	"io"
	"log"
	"net"

	"protohackers/pkg/conn"
)

func main() {
	err := conn.StartSimple(smoketest)
	if err != nil {
		log.Fatalln(err)
	}
}

func smoketest(c net.Conn) {
	defer c.Close()
	if _, err := io.Copy(c, c); err != nil {
		log.Fatalln(err)
	}
}
